#include <iostream>

using namespace std;

int main()
{
    int T, Ai, Bi;
    cin >> T;
    for (int i=0; i<T; i++) {
        do {
            cin >> Ai >> Bi; 
            } while (Ai%2==1);
        }
return 0;
}